| OpenZWave Library 1.6.0

Loading...
Searching...
No Matches
Public Types | Static Public Member Functions | List of all members
OpenZWave::CommandClasses Class Reference
Z-Wave CommandClass Support

Manages a map of command classes supported by a specific Z-Wave node. More...

`#include <CommandClasses.h>`

## Public Types
typedef CommandClass *(* | pfnCreateCommandClass_t) (uint32 const _homeId, uint8 const _nodeId)

## Static Public Member Functions
static void | RegisterCommandClasses ()
static CommandClass * | CreateCommandClass (uint8 const _commandClassId, uint32 const _homeId, uint8 const _nodeId)
static bool | IsSupported (uint8 const _commandClassId)
static string | GetName (uint8 const _commandClassId)
static list< uint8 > | GetAdvertisedCommandClasses ()

## Detailed Description

Manages a map of command classes supported by a specific Z-Wave node.

## Member Typedef Documentation

## ◆ pfnCreateCommandClass_t

typedef CommandClass *(* OpenZWave::CommandClasses::pfnCreateCommandClass_t) (uint32 const _homeId, uint8 const _nodeId)

## Member Function Documentation

## ◆ CreateCommandClass()

CommandClass * CommandClasses::CreateCommandClass | ( | uint8 const | _commandClassId,
|  | uint32 const | _homeId,
|  | uint8 const | _nodeId
| ) |  |
| static

## ◆ GetAdvertisedCommandClasses()

list< uint8 > CommandClasses::GetAdvertisedCommandClasses | ( |  | ) |
| static

## ◆ GetName()

string CommandClasses::GetName | ( | uint8 const | _commandClassId | ) |
| static

## ◆ IsSupported()

bool CommandClasses::IsSupported | ( | uint8 const | _commandClassId | ) |
| static

## ◆ RegisterCommandClasses()

void CommandClasses::RegisterCommandClasses | ( |  | ) |
| static

The documentation for this class was generated from the following files:

- CommandClasses.h
- CommandClasses.cpp